/**********************************************
 *	Copyright(C)SEGA 1995-1996/SYSTEM R&D DEPT
 *	CONCAVE1.mdl
 *	OBJECTS  = 1
 *	VERTICES = 16
 *	POLYGONS = 4
 *	GOUR_TBL = 4
 **********************************************/

#define	GRtbl(n)	(0x1c38+(n))
GOURAUDTBL grtbl_CONCAVE1[] = {
	{C_RGB(31,16,16),C_RGB( 0, 0,31),C_RGB(31,16,16),C_RGB( 0, 0,31)},
	{C_RGB(31,16,16),C_RGB( 0, 0,31),C_RGB(31,16,16),C_RGB( 0, 0,31)},
	{C_RGB(31,16,16),C_RGB( 0, 0,31),C_RGB(31,16,16),C_RGB( 0, 0,31)},
	{C_RGB(31,16,16),C_RGB( 0, 0,31),C_RGB(31,16,16),C_RGB( 0, 0,31)},
};

/*
 *	XPDATA : attractor
 *	VERTICES = 16
 *	POLYGONS = 4
 */

POINT	point_attractor[] = {
	POStoFIXED(  0.0000,  5.0000,  0.0000),
	POStoFIXED(  5.0000, -0.0000,  0.0000),
	POStoFIXED(  0.0000,  0.0000, -5.0000),
	POStoFIXED( -5.0000,  0.0000,  0.0000),
	POStoFIXED(  0.0000,  5.0000,  0.0000),
	POStoFIXED( -5.0000,  0.0000,  0.0000),
	POStoFIXED(  0.0000, -0.0000,  5.0000),
	POStoFIXED(  5.0000, -0.0000, -0.0000),
	POStoFIXED(  0.0000, -5.0000,  0.0000),
	POStoFIXED(  5.0000,  0.0000,  0.0000),
	POStoFIXED( -0.0000,  0.0000,  5.0000),
	POStoFIXED( -5.0000,  0.0000, -0.0000),
	POStoFIXED(  0.0000, -5.0000,  0.0000),
	POStoFIXED( -5.0000,  0.0000,  0.0000),
	POStoFIXED(  0.0000,  0.0000, -5.0000),
	POStoFIXED(  5.0000,  0.0000,  0.0000),
};

POLYGON	polygon_attractor[] = {
	NORMAL(  0.5774,  0.5774, -0.5774), VERTICES( 1, 0, 3, 2),
	NORMAL(  0.5774,  0.5774,  0.5774), VERTICES( 7, 6, 5, 4),
	NORMAL(  0.5774, -0.5774,  0.5774), VERTICES( 9, 8,11,10),
	NORMAL(  0.5774, -0.5774, -0.5774), VERTICES(15,14,13,12),
};

ATTR	attribute_attractor[] = {
	ATTRIBUTE(Dual_Plane, SORT_CEN, No_Texture, C_RGB(31,31,21), GRtbl(0), CL32KRGB|MESHoff|CL_Gouraud, sprPolygon,  UseLight),
	ATTRIBUTE(Dual_Plane, SORT_CEN, No_Texture, C_RGB(31,25,21), GRtbl(1), CL32KRGB|MESHoff|CL_Gouraud, sprPolygon,  UseLight),
	ATTRIBUTE(Dual_Plane, SORT_CEN, No_Texture, C_RGB(21,31,29), GRtbl(2), CL32KRGB|MESHoff|CL_Gouraud, sprPolygon,  UseLight),
	ATTRIBUTE(Dual_Plane, SORT_CEN, No_Texture, C_RGB(21,21,31), GRtbl(3), CL32KRGB|MESHoff|CL_Gouraud, sprPolygon,  UseLight),
};

XPDATA	xpdata_attractor[] = {{
	point_attractor, (sizeof(point_attractor)/sizeof(POINT)),
	polygon_attractor, sizeof(polygon_attractor)/sizeof(POLYGON),
	attribute_attractor,
	NULL,
}};

/*
 *	OBJECTS = 1
 */


OBJECT	object_attractor[] = {{
	(PDATA*)xpdata_attractor,
	TRANSLATION(  0.0000,  0.0000,  0.0000),
	ROTATION(  0.0000,  0.0000,  0.0000),
	SCALING(  1.0000,  1.0000,  1.0000),
	NULL,
	NULL,
}};

